Bug 16619 - Installer stuck in infinite loop
Summary: Installer stuck in infinite loop
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-30 23:21 UTC by Liz Rea
Modified: 2017-12-07 22:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16619 - installer stuck in infinite loop (982 bytes, patch)
2016-05-30 23:22 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2016-05-30 23:21:25 UTC
updatedatabase tries to update to 16.056xxxx when the kohaversion in koha.pm is set to 16.06. We need to set the updatedatabase version to match.
Comment 1 Liz Rea 2016-05-30 23:22:50 UTC
Created attachment 51919 [details] [review]
Bug 16619 - installer stuck in infinite loop

To test: run the web installer on master, it should not get stuck in an infinite loop.
Comment 2 Florent Mara 2016-05-30 23:37:05 UTC
I reset the Version value to 16.05, applied this patch to master and ran the web installer. 

The web installer correctly updated the version number to 16.0600000 and the web installer correctly re-directed to the Koha login page.
Comment 3 Brendan Gallagher 2016-05-31 09:03:23 UTC
Pushing this past QA - thanks!
Comment 4 Frédéric Demians 2016-06-15 07:30:21 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 5 Julian Maurice 2016-06-16 07:20:40 UTC
Not needed in 3.22.x